<?php
echo "<pre>\n";
$init_pars=array(
  "FLIP"=>3,  //!xy, +1 - flip-X, +2 - flipY
  "COLOR"=>1, //! mono - 0, color mode - 1, 2- jp4, +256 - sensor test, 512 - FPGA test
  "DCM_HOR"  => 1,  //! Decimation horizontal
  "DCM_VERT" => 1,  //! Decimation vertical
  "BIN_HOR"  => 1,  //! Binning horizontal
  "BIN_VERT" => 1,  //! Binning vertical
  "QUALITY"  => 90, //! JPEG quality (%)
  "COLOR_SATURATION_BLUE" => 200 , //! color saturation blue 200% (100% - only for gamma=1.0)
  "COLOR_SATURATION_RED" => 200 ,  //! color saturation blue 200% (100% - only for gamma=1.0)
  "BITS" => 8,                     //! 8-bit image mode (may be 16)
  "GAMMA" => 57,                   //! Gamma=57%
  "PIXEL_LOW" => 10,               //! Balck level - 10 (sensor default "fat zero")
  "PIXEL_HIGH" => 254,             //! white level
  "EXPOS" =>    100,               //! whatever? (in 100usec steps)
  "WOI_LEFT" =>  0,                 //! window left
  "WOI_TOP" =>   0,                 //! window top
  "WOI_WIDTH" =>  10000,            //! window width  (more than needed, will be truncated)
  "WOI_HEIGHT" => 10000,            //! window height (more than needed, will be truncated)
  "RSCALE" =>       256,            //! red/green*256 (no auto - it is inside ccam.cgi)
  "BSCALE" =>       256,            //! blue/green*256 (no auto - it is inside ccam.cgi)
  "GAINR" =>        512,            //! Red analog gain 2.0*256
  "GAING" =>        512,            //! Green1 (red row) analog gain 2.0*256
  "GAINB" =>        512,            //! Red analog gain 2.0*256
  "GAINGB" =>       512,            //! Green2 (blue row) analog gain 2.0*256
  "BAYER" =>          4             //! 0..3 - set, 4- use calcualted

  );
 $phase_pars=array();
  if ($_GET["phase"]) $phase_pars["SENSOR_PHASE"]=$_GET["phase"]+0;
  if ($_GET["clk"])   $phase_pars["CLK_SENSOR"]=  $_GET["clk"]*1000000; /// phase is only modified when clock is set
//! Start with reset (normally not needed, just to make sure we have a clean start, not relying on previous programming)
  echo "Original state was=".elphel_get_state()."<br/>\n";
/*
  if (elphel_get_state()>7) {  //! compressor is running
     elphel_compressor_stop(); //! stop it
     while (elphel_get_state()>7) usleep (100000) ; //! just wait - will wait forever if async mode
     elphel_compressor_reset(); //! Maybe needed twice
     elphel_compressor_reset(); //! Maybe needed twice
  }
  echo "Before sensor reset state was=".elphel_get_state()."<br/>\n";
*/
  if (($_GET["phase"]) && ($_GET["clk"]==null)) { /// change phase, use default clock frequency
          printf ("Writing %d parameters to control sensor phase to the camera before reset\n",elphel_set_P_arr($phase_pars));
          print_r($phase_pars);
  }
  elphel_reset_sensor();
  echo "After reset+initializing: elphel_get_state=".elphel_get_state()."<br/>\n";
  printf ("Written %d parameters to the camera\n",elphel_set_P_arr($init_pars));
//! Program sensor (with restart)
  if ($_GET["clk"]) { /// modify both clock and phase
          printf ("Writing %d parameters to control sensor phase to the camera - will reset sensor (again)\n",elphel_set_P_arr($phase_pars));
          print_r($phase_pars);
  }

  elphel_program_sensor (0);
  echo "After programming sensor parameters - elphel_get_state=".elphel_get_state()."<br/>\n";
//! Image qulaity is copied only when the compressor is started
  echo "Parameters after programmimg:\n";
  print_r(elphel_get_P_arr($init_pars));
  if (count($phase_pars)) print_r(elphel_get_P_arr($phase_pars));
//!start compressor:
  elphel_compressor_run();
//! or just acquire a single frame
//  elphel_compressor_frame();
  echo "After starting compressor - elphel_get_state=".elphel_get_state()."<br/>\n";
echo "</pre>\n";
echo "<p>Link to <a href=\"http://" . $_SERVER["SERVER_ADDR"] . ":8081/last/pointers\">circbuf pointers</a></p>";
echo "<a href=\"http://" . $_SERVER["SERVER_ADDR"] . ":8081/last/save/wait/img\"><img src=\"http://" . $_SERVER["SERVER_ADDR"] . ":8081/last/save/wait/img\" /></a>";
?> 
