<?php 
// see if it is a 354 camera, else exit
// temporary - look at 4 LSBs of 0x70 reg in FPGA
function fpga_read($addr) {
       $fpga  = fopen('/dev/fpgaio', 'r');
       fseek ($fpga, $addr) ; // 32-bit registers
       $d = fread($fpga, 4);
       fclose($fpga);
       $regs=unpack('V*',$d); // unsigned long, little endian
       return $regs[1];
     }
function fpga_write($addr,$data) {
       $fpga  = fopen('/dev/fpgaio', 'w');
       fseek ($fpga, $addr) ; // 32-bit registers
       fwrite($fpga, chr($data & 0xff).chr(($data>>8) & 0xff).chr(($data>>16) & 0xff).chr(($data>>24) & 0xff));
       fclose($fpga);
    }


function senspars_read($addr) {
       $sensorpars  = fopen('/dev/sensorpars', 'r');
       fseek ($sensorpars, 4*$addr) ; // 32-bit registers
       $d = fread($sensorpars, 4);
       fclose($sensorpars);
       $regs=unpack('V*',$d); // unsigned long, little endian
       return $regs[1];
     }

function senspars_write($addr,$data) {
       $sensorpars  = fopen('/dev/sensorpars', 'w');
       fseek ($sensorpars, 4*$addr) ; // 32-bit registers
       fwrite($sensorpars, chr($data & 0xff).chr(($data>>8) & 0xff).chr(($data>>16) & 0xff).chr(($data>>24) & 0xff));
       fclose($sensorpars);
    }

// Main
$sensor_phase=0x40020; // 0
$sensor_clock=96000000;
  if ((fpga_read(0x70) & 0xf) != 3) {
    echo "it is not Elphel Model 354 camera";
    exit (-1);
  }
//echo current sensor phase
  $current_phase=senspars_read(0x201);
  printf ("Curent sensor phase is 0x%x<br/>\n",$current_phase);
// set new sensor phase
  senspars_write(0x201,$sensor_phase);
exit(0);
  senspars_write(   14,$sensor_clock);
  senspars_write(    0,3); // apply changes, (re-)program sesnsor
  $current_phase=senspars_read(0x201);
  printf ("Curent sensor phase is 0x%x<br/>\n",$current_phase);
  $current_phase=senspars_read(0x601);
  printf ("601-> 0x%x<br/>\n",$current_phase);
// 
sleep (5);
$img = file_get_contents("http://127.0.0.1:81/admin-bin/ccam.cgi?opt=*vhcxy&ww=2592&wh=1936&bit=8&iq=10&gam=60&rscale=1&bscale=1&sens=1.0&e=1&byr=3&csb=200&csr=200");
?>