#!/usr/local/sbin/php -q
<?php
/*!***************************************************************************
*! FILE NAME  : usb10369a.php
*! DESCRIPTION: initializes USB hub on the 10369a board
*! Copyright (C) 2008 Elphel, Inc
*! -----------------------------------------------------------------------------**
*!
*!  This program is free software: you can redistribute it and/or modify
*!  it under the terms of the GNU General Public License as published by
*!  the Free Software Foundation, either version 3 of the License, or
*!  (at your option) any later version.
*!
*!  This program is distributed in the hope that it will be useful,
*!  but WITHOUT ANY WARRANTY; without even the implied warranty of
*!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*!  GNU General Public License for more details.
*!
*!  You should have received a copy of the GNU General Public License
*!  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*! -----------------------------------------------------------------------------**
*!  $Log: usb10369a.php,v $
*!  Revision 1.2  2008/12/03 19:16:55  elphel
*!  Fixed the bug - somewhere the last initialization line was lost
*!
*!  Revision 1.1.1.1  2008/11/27 20:04:03  elphel
*!
*!
*!  Revision 1.2  2008/11/24 10:39:47  spectr_rain
*!  added PHP program for SHELL as run command
*!
*!  Revision 1.1  2008/06/24 00:44:35  elphel
*!  configuration of USB hub on the 10369A board
*!
*!
*/

require 'i2c.inc';
      $base_addr=  0x2c00;
      $base_addr16=0x5800;
      $defaults=array(
        array("addr"=>0x0,"data"=>0x34), // VID_LSB
        array("addr"=>0x1,"data"=>0x12), // VID_MSB
        array("addr"=>0x6,"data"=>0x9b), // CONFIG_BYTE_1
        array("addr"=>0x7,"data"=>0x10), // CONFIG_BYTE_2
        array("addr"=>0x8,"data"=>0x0 ), // CONFIG_BYTE_3
        array("addr"=>0xff,"data"=>0x1 ) // CMD
      );
echo "<pre>\n";
      foreach ($defaults as $line) {
         $rslt=smbus_send($base_addr+$line["addr"],array($line["data"]+0)); 
         printf("smbus_send(0x%x,0x%x) returned %d\n",$base_addr+$line["addr"],$line["data"]+0,$rslt);
      }
echo "</pre>\n";
?>
